Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xerces.impl.dv
Interface DatatypeValidator

All Known Implementing Classes:
  IDREFDatatypeValidator, ListDatatypeValidator, NMTOKENDatatypeValidator, IDDatatypeValidator, ENTITYDatatypeValidator, StringDatatypeValidator, NOTATIONDatatypeValidator

public interface DatatypeValidator

The interface that a DTD datatype must implement. The implementation of this interface must be thread-safe.

Version:
  $Id: DatatypeValidator.java,v 1.5 2002/07/18 20:48:43 sandygao Exp $
Author:
  Sandy Gao, IBM

Method Summary
`void` | `validate(java.lang.String content, ValidationContext context)` validate a given string against this DV

Method Detail

### validate

    public void validate(java.lang.String content,
                         ValidationContext context)
                  throws InvalidDatatypeValueException

  validate a given string against this DV
  Parameters:
    `content` - the string value that needs to be validated
    `context` - the validation context

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2004 Apache XML Project. All Rights Reserved.